LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 04-08-2009, 11:06 AM   #1
marc1984
LQ Newbie
 
Registered: Apr 2008
Posts: 5

Rep: Reputation: 0
FC 6 yum update Error: Cannot find a valid baseurl for repo: core


Are the FC6 repositories shutdown?
I tried to do a yum update and cannot get passed this message:
Error: Cannot find a valid baseurl for repo: core

I upgraded one of my FC6 systems to FC7, hoping I could use yum to do updates, but when I run yum update I get this message:
Loading "installonlyn" plugin
Setting up Update Process
http://download.fedora.redhat.com/pu...ta/repomd.xml: [Errno 14] HTTP Error 404: Date: Wed, 08 Apr 2009 16:02:35 GMT
Server: Apache
Content-Length: 248
Content-Type: text/html; charset=iso-8859-1

Trying other mirror.
Error: Cannot open/read repomd.xml file for repository: extras

Update:
It looks like the K12LTSP-extra repository was the problem. I removed that repository and now yum works on the FC7 box.

Last edited by marc1984; 04-08-2009 at 11:54 AM.
 
Old 04-08-2009, 11:47 AM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,407

Rep: Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965
well it is right, that is a 404, there is no fc7 support (or later) from there. have you installed the correct fc7 repo files? the ones you have are presumably still the originals from fc6.
 
Old 04-08-2009, 06:07 PM   #3
John VV
Guru
 
Registered: Aug 2005
Posts: 12,956

Rep: Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722Reputation: 1722
support for fedora 6 ended 2 years ago .
Please install fedora 10

Quote:
I upgraded one of my FC6 systems to FC7
there is no support for fedora 7 or fedora 8
fedora 8 hit End Of Life this January
 
Old 04-09-2009, 01:07 AM   #4
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,407

Rep: Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965
Quote:
Originally Posted by John VV View Post
support for fedora 6 ended 2 years ago .
Please install fedora 10


there is no support for fedora 7 or fedora 8
fedora 8 hit End Of Life this January
True, of course, but don't forget people do still have the right to use it if they want to, and the repo's are still there. It's not always possible to just upgrade on a whim.
 
Old 04-09-2009, 01:42 PM   #5
marc1984
LQ Newbie
 
Registered: Apr 2008
Posts: 5

Original Poster
Rep: Reputation: 0
When I upgraded to FC6 and then to FC7 I figured the repos were updated as well. When I first did the upgrade to FC6 several weeks ago yum update worked an dI updated FC6 packages.

My problem with upgrading to FC10 is two fold, one don't I need to upgrade to FC8 then FC9 and then FC10? Secondly this system only has a CD drive (no DVD) and all the iso files I can find for FC prior to 10 are DVD only.

If it is safe to go straight from FC6 ro FC10 then I can download the CD iso files. Is it safe to make such a leap?
 
Old 04-09-2009, 01:50 PM   #6
custangro
Senior Member
 
Registered: Nov 2006
Location: California
Distribution: Fedora , CentOS , Solaris 10, RHEL
Posts: 1,935
Blog Entries: 1

Rep: Reputation: 188Reputation: 188
Quote:
Originally Posted by marc1984 View Post
When I upgraded to FC6 and then to FC7 I figured the repos were updated as well. When I first did the upgrade to FC6 several weeks ago yum update worked an dI updated FC6 packages.

My problem with upgrading to FC10 is two fold, one don't I need to upgrade to FC8 then FC9 and then FC10? Secondly this system only has a CD drive (no DVD) and all the iso files I can find for FC prior to 10 are DVD only.

If it is safe to go straight from FC6 ro FC10 then I can download the CD iso files. Is it safe to make such a leap?
You can actually download Fedora 10 (FYI...Fedora dropped the "core" when Fedora 7 was released) on a Live CD and do an installation if you'd like...

http://fedoraproject.org/en/get-fedora

Note the first option to download a "Live-cd"

Not sure if you can upgrade that way though...

-C
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Yum error: Cannot find a valid baseurl for repo: BogusTrumper Linux - Software 27 01-23-2013 04:06 PM
yum error: Cannot find a valid baseurl for repo: core WOP1337 Linux - Software 10 09-04-2010 08:06 PM
Yum Error: Cannot find a valid baseurl for repo: extras ivanleblanc Linux - Newbie 3 03-05-2009 02:03 PM
Error:Cannot find a valid baseurl for repo: core sjw01748 Linux - Newbie 1 01-16-2007 09:12 AM
Yum Fails Error Cannot find a valid baseurl for repo pete44904 Linux - General 2 10-24-2006 04:52 PM


All times are GMT -5. The time now is 02:17 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration